package mybox.engine.fresnel.junit;

import java.io.IOException;

import mybox.engine.File4Qcad;
import mybox.engine.ReferenceIOutput;
import mybox.engine.fresnel.ReflektorProfile;
import junit.framework.TestCase;

public class ReflektorTest extends TestCase {
	
	public void test_Reflektor() 
	throws SecurityException, IOException {
		
		File4Qcad file4qcad = new File4Qcad(ReferenceIOutput.testoutputFile());
		
		double brennweite=100;
		double verdeckung=2;
		double spiegelDicke=4;
		double spiegelBreite=50;
		double sicherheitsAuflage=4;
		double abschattungsBreite=70;
                double zusatzInitOffset=0;

		double initialAbsenkung=0;
		int    anzahlZinken=2;
		
		
		
		ReflektorProfile reflektor = new ReflektorProfile(								
				file4qcad,
				brennweite,
				verdeckung,
				spiegelDicke,
				spiegelBreite,
				sicherheitsAuflage,
				abschattungsBreite,
                                zusatzInitOffset,
				initialAbsenkung,
				anzahlZinken				
				);		
		
		reflektor.init();
		
		reflektor.draw();
		
		file4qcad.close();
	}
	
	public void test_Reflektor2() 
	throws SecurityException, IOException {
		
		File4Qcad file4qcad = new File4Qcad(ReferenceIOutput.testoutputFile());
		
		double brennweite=400;
		double verdeckung=2;
		double spiegelDicke=4;
		double spiegelBreite=50;
		double sicherheitsAuflage=4;
		double abschattungsBreite=70;
                double zusatzInitOffset=0;
		double initialAbsenkung=0;
		int    anzahlZinken=5;
		
		
		
		ReflektorProfile reflektor = new ReflektorProfile(								
				file4qcad,
				brennweite,
				verdeckung,
				spiegelDicke,
				spiegelBreite,
				sicherheitsAuflage,
				abschattungsBreite,
                                zusatzInitOffset,
				initialAbsenkung,
				anzahlZinken				
				);		
		
		reflektor.init();
		
		reflektor.draw();
		
		file4qcad.close();
	}

}
