package mybox.engine.servo;

import java.io.IOException;

import mybox.engine.Figur;
import mybox.engine.File4Qcad;
import mybox.engine.QVector;

public class Servo implements Figur{
	
	//Schematic ServoSchematicMan.jpg
	public static final String  versionNo="2.0";
	public static final String S3111 ="Conrad S3111";
	public static final double fingerRaum=17;
	File4Qcad file4qcad ;		
	double laserBreite;
	double materialDicke;
	double zinkungsFaktor;
	QVector lowerLeftHole;
	QVector upperLeftHole;
	QVector upperRightHole;
	QVector lowerRightHole;
	QVector center;
		
	
	public ServoRudder rudder;
	public ServoKorpus korpus;	
	public ServoKorpusOO korpusOO;
	public ServoRudder rudderOO;
	
	QVector rudderCenter;
		
	double diagFromRudderCenter;
	double diagSpace;
		
	public QVector drawPos;	
	
	public double servoProtruding; //soviel wie der Servo rausschaut, nach Montage (mit Rudder)
				
	
	public Servo(File4Qcad file4qcad, QVector aktPos, String type, double materialDicke, double zinkungsFaktor, double laserBreite) throws SecurityException, IOException {
		this.laserBreite=laserBreite;
		this.materialDicke=materialDicke;
		this.zinkungsFaktor=zinkungsFaktor;
		this.drawPos=new QVector(aktPos);
		this.lowerLeftHole=new QVector(aktPos);
		this.file4qcad=file4qcad;
		
		rudder = new ServoRudder(file4qcad, type,laserBreite);		
		korpus = new ServoKorpus(file4qcad,type, materialDicke, laserBreite);
		
		rudderOO = new ServoRudder(file4qcad, type,laserBreite);		
		korpusOO = new ServoKorpusOO(file4qcad,type, materialDicke, laserBreite);	
			
	}

	
	public void draw() {
		
	}
}
