package mybox.junit;

import java.io.IOException;

import mybox.engine.File4Qcad;
import mybox.engine.QVector;
import mybox.engine.ReferenceIOutput;
import mybox.engine.servo.ServoAndBox;


import junit.framework.TestCase;


public class JUServo extends TestCase {
	
public void test_ServoBox() throws SecurityException, IOException {
		
		File4Qcad file4qcad = new File4Qcad(ReferenceIOutput.testoutputFile());		
		QVector aktPos = new QVector (0,0);		
		ServoAndBox servo = new ServoAndBox(file4qcad,aktPos,ServoAndBox.S3111);
		servo.drawBox();		
		servo.drawJamaica();
		servo.drawKorpus();				
		servo.drawRudderHoleAtBox();
		servo.drawGegenAchse();
		
		servo.drawGegenBox();
		//servo.drawGegenJamaica();
						
		servo.drawRudder();
		
		
		file4qcad.close();
			
	}

public void test_ServoRudder() throws SecurityException, IOException {
	
	File4Qcad file4qcad = new File4Qcad(ReferenceIOutput.testoutputFile());		
	QVector aktPos = new QVector (0,0);		
	ServoAndBox servo = new ServoAndBox(file4qcad,aktPos,ServoAndBox.S3111);
	
	servo.drawGegenBox();
	servo.drawRudder();
	
	
	file4qcad.close();
		
}



}
