package mybox.junit;

import java.io.IOException;

import mybox.engine.File4Qcad;
import mybox.engine.QVector;
import mybox.engine.ReferenceIOutput;
import mybox.engine.heliostat.Zahnradgelenk;
import junit.framework.TestCase;

public class ZahradGelenkTC extends TestCase {
	
public void test_Gelenk() throws SecurityException, IOException {
		
		File4Qcad file4qcad = new File4Qcad(ReferenceIOutput.testoutputFile());		
		QVector aktPos = new QVector(0,0);
		double materialDicke=3.5;
		
		Zahnradgelenk zahnradGelenk = new Zahnradgelenk(file4qcad, aktPos, materialDicke);
		
		zahnradGelenk.draw();
        
		
		
		file4qcad.close();
		
	}

}
